[subversion-commit] SVN tex-common commit + diffs: r1795 - in tex-common/trunk: debian scripts

Frank Küster frank at costa.debian.org
Thu Oct 12 15:49:47 UTC 2006


Author: frank
Date: 2006-10-12 15:49:47 +0000 (Thu, 12 Oct 2006)
New Revision: 1795

Modified:
   tex-common/trunk/debian/changelog
   tex-common/trunk/scripts/debianize-updmap
Log:
  * Change debianize-updmap so that the --syncwithtrees and --edit options
    do something sensible, and won't break the system (closes: #392573)


Modified: tex-common/trunk/debian/changelog
===================================================================
--- tex-common/trunk/debian/changelog	2006-10-12 15:47:46 UTC (rev 1794)
+++ tex-common/trunk/debian/changelog	2006-10-12 15:49:47 UTC (rev 1795)
@@ -2,8 +2,11 @@
 
   * Handle non-writable /usr/local gracefully upon removal, thanks to Sam
     Hocevar <sam at zoy.org> (closes: #392518) [frank]
+  * Change debianize-updmap so that the --syncwithtrees and --edit options
+    do something sensible, and won't break the system (closes: #392573)
+    [frank] 
 
- -- Frank Küster <frank at debian.org>  Thu, 12 Oct 2006 12:57:45 +0200
+ -- Frank Küster <frank at debian.org>  Thu, 12 Oct 2006 17:49:29 +0200
 
 tex-common (0.33) unstable; urgency=medium
 

Modified: tex-common/trunk/scripts/debianize-updmap
===================================================================
--- tex-common/trunk/scripts/debianize-updmap	2006-10-12 15:47:46 UTC (rev 1794)
+++ tex-common/trunk/scripts/debianize-updmap	2006-10-12 15:49:47 UTC (rev 1795)
@@ -72,6 +72,7 @@
 createDebianConffilelist(){
 #  verboseMsg "entering createDebianConffilelist"
 
+  userFiles=""
   local DebianConffilelist=""
   syswideFiles=`find /etc/texmf/updmap.d -maxdepth 1 -type f -name '*.cfg'`
   if ! DebianSyswideMode; then
@@ -82,9 +83,8 @@
   fi
   if [ -n "$userFiles" ]; then
     for sysfile in $syswideFiles; do
-      local copyInUserdir=false
       for userfile in $userFiles; do
-	if [ ! "$userfile" = "$sysfile" ]; then
+	if [ ! "`basename $userfile`" = "`basename $sysfile`" ]; then
 	  DebianConffilelist="$DebianConffilelist $sysfile"
 	fi
       done
@@ -484,3 +484,52 @@
   reExecSelf
 }
 
+###############################################################################
+# syncWithTreesInner(cnfFile)
+#   update the config file: uncomment all lines which refer to map files that
+#   are unavailabe in the texmf trees
+###############################################################################
+syncWithTreesInner()
+{
+  cnfFile="$1"
+
+  for i in `egrep '^(Mixed)?Map' "$cnfFile" | sed 's at .* @@'`; do
+    kpsewhich --format=map "$i" >/dev/null || echo "$i"
+  done > $tmp1
+  {
+    sed 's@/@\\/@g; s@^@/^MixedMap[ 	]*@; s@$@$/s/^/#! /@' <$tmp1
+    sed 's@/@\\/@g; s@^@/^Map[ 	]*@; s@$@$/s/^/#! /@' <$tmp1
+  } > $tmp2
+  sed -f $tmp2 "$cnfFile" > $tmp3 && cat $tmp3 > "$cnfFile"
+}
+
+###############################################################################
+# syncWithTrees()
+#   update the config file: uncomment all lines which refer to map files that
+#   are unavailabe in the texmf trees
+#   Do it the Debian way.
+###############################################################################
+syncWithTrees(){
+  DebianConffilelist=`createDebianConffilelist`
+  
+  for cnfFile in $DebianConffilelist; do
+    syncWithTreesInner $cnfFile
+  done
+}
+
+###############################################################################
+# debianEditWarnAndShow()
+#   warn that this won't work
+###############################################################################
+debianEditWarnAndShow(){
+  echo "Warning!"
+  echo ""
+  echo "In Debian, updmap.cfg, the font configuration file, is a generated file."
+  echo "The actual configuration files are in /etc/texmf/updmap.d."
+  echo "Please read the updmap(1) manpage and edit those files."
+  echo ""
+  echo "Instead of editing, you will now be shown updmap.cfg in a pager."
+  
+  sensible-pager $cnfFile;;
+
+}
\ No newline at end of file




More information about the Pkg-tetex-commits mailing list